> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rashalbdevice.md).

# Get-RASHALBDevice.md

## NAME

Get-RASHALBDevice

## SYNOPSIS

Retrieves a map, or a specific device used by the HALB Virtual Server.

## SYNTAX

**Get-RASHALBDevice** \[\[-[HALBId](#halbid-string)] *(uint)*] \[\[-[DeviceID](#deviceid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASHALBDevice** \[[HALBName](#halbname-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[\[-[DeviceID](#deviceid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves a map, or a specific device used by the HALB Virtual Server.

## PARAMETERS

## HALBName (string)

The HALB Virtual Server name.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

The site ID where the HALB settings will be created.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HALBId (uint)

The ID of the HALB Virtual Server.

```
        Required?                    false

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DeviceID (uint)

The ID of the HALB Device.

```
        Required?                    false

        Position?                    2

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[HALBDevice](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/halbdevice.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASHALBDevice -HALBName "HALB-VS"

Returns a dictionary of the HALB Device IPs that are used by the HALB Virtual Server named "HALB-VS".\
\*\*---------- EXAMPLE 2 ----------

Get-RASHALBDevice -HALBId 21

Returns a dictionary of the HALB Device IPs that are used by the HALB Virtual Server with ID 21.\
\*\*---------- EXAMPLE 3 ----------

Get-RASHALBDevice -HALBName "HALB-VS" -DeviceID 1

Returns a specific entry of the HALB Device IP that is used by the HALB Virtual Server named "HALB-VS".\
\*\*---------- EXAMPLE 4 ----------

Get-RASHALBDevice -HALBId 21 -DeviceID 1

Returns a specific entry of the HALB Device IP that is used by the HALB Virtual Server with ID 21.

## RELATED LINKS

* [Add-RASHALBDevice](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rashalbdevice.md)
* [Remove-RASHALBDevice](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rashalbdevice.md)
* [Set-RASHALBDevicePriority](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rashalbdevicepriority.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rashalbdevice.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
